org.apache.ignite.marshaller

## Class MarshallerExclusions

- java.lang.Object
- - org.apache.ignite.marshaller.MarshallerExclusions

    public final class MarshallerExclusions
    extends Object

Controls what classes should be excluded from marshalling by default.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `clearCache()` Intended for test purposes only.
`static boolean` `isExcluded(Class<?> cls)` Checks whether or not given class should be excluded from marshalling.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isExcluded

    public static boolean isExcluded(Class<?> cls)

Checks whether or not given class should be excluded from marshalling.

Parameters:
  `cls` - Class to check.
Returns:
  `true` if class should be excluded, `false` otherwise.

#### clearCache

    public static void clearCache()

Intended for test purposes only.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018